1. shagwagon's Avatar
    Just got my first blackberry (Curve 8520 T-Mobile) and just joined the site, so I'm a noob

    My device tells me I have OS Version 4.6.1.259. When I try to upgrade to 5.0, the Desktop Manager says there are no updates available. I'm going through the BB site and following the directions, even tried an OTA upgrade, but got the same message!

    Any ideas?
    06-15-10 01:48 AM
  2. ravs7777's Avatar
    You will need to download OS 5.0 from blackberry site and install it on your computer.

    I'm not sure wheter T-Mobile have released OS 5.0. You can download for any other carrier and upgrade. Be sure to delete vendor.xml file located in program files\common file\research in motion\apploader
    06-15-10 02:10 AM
  3. shagwagon's Avatar
    I've downloaded the OS from this link http://forums.crackberry.com/f143/ne...hellas-431392/ and followed the instructions. no option for OS and no process starts. only lists my current apps.
    Last edited by shagwagon; 06-15-10 at 02:35 AM.
    06-15-10 02:24 AM
  4. Emmanuel000's Avatar
    Have you tried from the LOADER or just from DM?
    I had that problem too, and did it from the Loader.

    Let's see if I don't forget a thing...

    - You already have the OS version you want to upgrade to installed in your PC right? Now go to your: C:\Program Files (x86)\Common Files\Research In Motion (the x86 is if you're using a 64bit), go to the AppLoader folder. There should be a 'Vendor' file there, delete it.
    - After that, open the Loader application in that folder. After the first next appears what you're about to load into your berry. Make sure it is the OS that you desire that is there (core files, etc.)
    - You might want to backup. Then just follow the steps that appear.

    Hope it helped.
    06-15-10 03:19 AM
  5. shagwagon's Avatar
    I may have found the issue. Every time I download and install the OS and connect my phone to PC, it re-installs the driver software for my phone. Could this be an issue?
    06-16-10 02:38 AM
  6. shagwagon's Avatar
    this is what I see when I load the loader from the AppLoader file, and as you can see, I have deleted the vendor file and have installed OS 5.0 from Blackberry.
    06-16-10 02:41 AM
  7. diegonei's Avatar
    Emmanuel000 found a workaround for it the other day.

    Hit Add... Browse to C:\Program Files (x86)\Common Files\Research In Motion\Shared\Loader Files (C:\Program Files\Common Files\Research In Motion\Shared\Loader Files for 32bits) and into the OS folder. Load the BlackBerry.alx files you find there (and any other .alx that interest you.

    You'll know it worked when Loader shows you (this is the very least possible):

    System Software
    Core Applications
    Language and Input Support
    Browser
    Email Setup Application
    Phone
    Tasks

    Good luck!
    06-16-10 09:21 AM
  8. shagwagon's Avatar
    I do that and I get an error which says "This application is not compatible with your device and cannot be loaded." This is very frustrating because I see other people have no issues and I can't even get mine past the first step.
    06-17-10 02:24 AM
  9. Ahmed G.'s Avatar
    try this > OS Upgrade Procedure

    hope it helps

    start from scratch . . uninstall the 5.0.0.509 or whatever you've installed earlier and delete the folder (AppLoader) where you've found the vendor file, restart PC and install OS 5.0.0.509 or any OS you wish to upgrade to and again delete the vendor file.
    06-17-10 07:56 AM
  10. shagwagon's Avatar
    done that already
    06-17-10 03:15 PM
  11. Ahmed G.'s Avatar
    have you tried CrackMem ?

    > http://forums.crackberry.com/f83/i-c...y-bold-483625/
    Last edited by Ahmed G.; 06-17-10 at 04:17 PM. Reason: Link
    06-17-10 04:07 PM
LINK TO POST COPIED TO CLIPBOARD